Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157961 - kig (part of kdeedu) does not have python scripting support
Summary: kig (part of kdeedu) does not have python scripting support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeedu
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL: http://dmf.unicatt.it/~paolini/kig/fe...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 14:22 UTC by Maurizio Paolini
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-18 14:53:08 UTC


Attachments (Terms of Use)

Description Maurizio Paolini 2005-05-17 14:22:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.6) Gecko/20040510

Description of problem:
kig does not have python scripting support enabled (no "script" button and
no python-script object in Objects->Other menu).



Version-Release number of selected component (if applicable):
kdeedu-3.4.0-1

How reproducible:
Always

Steps to Reproduce:
1. start kig
2. press Objects menu, then Other
3. an entry "python script" should be present
  

Actual Results:  No python scripting possible

Expected Results:  both a button and a menu entry for python scripting

Additional info:

During compile time there is a check for the presence of the libboost libraries,
necessary for the python scripting support in kig.
In the present case presumably the problem is due to an incompatibility between
the installed boost libraries:
boost-1.32.0-3
boost-devel-1.32.0-3
and the compatibility compiler:
compat-gcc-32-3.2.3-47.fc4
compat-gcc-32-c++-3.2.3-47.fc4
compat-libstdc++-33-3.2.3-47.fc4
(note that kde does not compile with gcc 4.0.0)

as a counter-proof, kig was successfully compiled (with python scripting)
using gcc version 3.4.2; a proof of concept rpm was then created that can
be tested under FC4T3.  Such rpm can be found at
http://dmf.unicatt.it/~paolini/kig/fedora_core_4/
in the same place you can also find a "compat-gcc-c++-34..." package
that contains the 3.4.2 gcc compiler + libstdc++ necessary to compile kig.
The corresponding "src.rpm" however is fake and also contains only the
executables of the compiler: I do not have the skill to produce a proper
"src.rpm".

Comment 1 Maurizio Paolini 2005-05-24 08:08:20 UTC
It turns out that kde for FC4 was actually compiled with gcc 4.0.0; the 
check in "./configure" of kde to blacklist gcc4.0.0 was probably not yet 
included at the time when the tarball for FC4 was prepared.  Python 
scripting was intentionally disabled at ./configure time by including the 
option "--disable-kig-python-scripting" for some reason. 
A quick check using the latest "subversion" version of kig compiled 
with gcc 4.0.0 (after removal of the blacklisting) with scripting enabled 
produced an executable that is apparently OK.  I also checked the python 
scripting a bit. 
 
So it seems that the "--disable-kig-python-scripting" flag could be 
removed from the ./configure! 

Comment 2 Ngo Than 2005-05-25 10:05:09 UTC
The reason ,why i disabled it temporary, is a compiler issue in the last time.
It's now too late for FC4, But i will surely enable it in next KDE-3.4.1 (FC4
update) 

Comment 3 Maurizio Paolini 2005-06-22 08:41:06 UTC
(In reply to comment #2) 
> The reason ,why i disabled it temporary, is a compiler issue in the last 
time. 
> It's now too late for FC4, But i will surely enable it in next KDE-3.4.1 
(FC4 
> update)  
 
I just tried the latest update for FC4 (kdeedu-3.4.1), but the problem 
is still there! 
Is there a specific reason for disabling python scripting? 
 

Comment 4 Ngo Than 2005-07-18 14:20:19 UTC
it seems that boost is needed to be fixed for building kig with python scripting
support on x86_64 plattform

Comment 5 Ngo Than 2005-07-18 14:21:40 UTC
I will try to build it in rawhide this week.

Comment 6 Ngo Than 2005-07-18 14:53:08 UTC
It's now fixed in kdeedu-3.4.1-2 and will be available in rawhide tomorrow.
For FC4 update, i'm still waiting for KDE-3.4.2 release.


Note You need to log in before you can comment on or make changes to this bug.